
/*------------------------------------------------------------------------
    File        : wm-2201-after-01-wm-edi-cust-settings2.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DEF BUFFER b-wm-in_ord  FOR wm-in_ord.
DEF BUFFER b-wm-out_ord FOR wm-out_ord.
DEF BUFFER b-wm-val_ord FOR wm-val_ord.

DISABLE TRIGGERS FOR LOAD OF b-wm-in_ord .
DISABLE TRIGGERS FOR LOAD OF b-wm-out_ord.
DISABLE TRIGGERS FOR LOAD OF b-wm-val_ord.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert deposit owner intake"
  cTable   = "wm-out_ord"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-wm-in_ord FIELDS(companycode in_ordnr ind_transporter_deposit_owner deposit_ownercode) WHERE
           b-wm-in_ord.companycode = sp-company.companycode
           NO-LOCK:
    
    DO TRANSACTION:
      FIND CURRENT b-wm-in_ord EXCLUSIVE.
      IF b-wm-in_ord.ind_transporter_deposit_owner 
      THEN b-wm-in_ord.deposit_ownercode = "TRANSPORTER".
      ELSE b-wm-in_ord.deposit_ownercode = "CUSTOMER".
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    IF iDone MODULO 1000 = 0
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

END.
    
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert deposit owner outtake"
  cTable   = "wm-out_ord"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-wm-out_ord FIELDS(companycode out_ordnr ind_transporter_deposit_owner deposit_ownercode) WHERE
           b-wm-out_ord.companycode = sp-company.companycode
           NO-LOCK:
    
    DO TRANSACTION:
      FIND CURRENT b-wm-out_ord EXCLUSIVE.
      IF b-wm-out_ord.ind_transporter_deposit_owner 
      THEN b-wm-out_ord.deposit_ownercode = "TRANSPORTER".
      ELSE b-wm-out_ord.deposit_ownercode = "CUSTOMER".
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    IF iDone MODULO 1000 = 0
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

END.
    
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert deposit owner val"
  cTable   = "wm-val_ord"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-wm-val_ord FIELDS(companycode val_ordnr ind_transporter_deposit_owner deposit_ownercode) WHERE
           b-wm-val_ord.companycode = sp-company.companycode
           NO-LOCK:
    
    DO TRANSACTION:
      FIND CURRENT b-wm-val_ord EXCLUSIVE.
      IF b-wm-val_ord.ind_transporter_deposit_owner 
      THEN b-wm-val_ord.deposit_ownercode = "TRANSPORTER".
      ELSE b-wm-val_ord.deposit_ownercode = "CUSTOMER".
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    IF iDone MODULO 1000 = 0
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

END.
    
