
/*------------------------------------------------------------------------
    File        : wm-2201-after-01-wm-edi-cust-settings2.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF wm-control.
DEFINE BUFFER b-wm-control FOR wm-control.

DISABLE TRIGGERS FOR LOAD OF wm-systemcode.
DEFINE BUFFER b-wm-systemcode FOR wm-systemcode.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "WM control"
  cTable   = "wm-control"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

DO TRANSACTION:
  FIND b-wm-control WHERE 
       b-wm-control.controlkey1 = ''
   AND b-wm-control.controlkey2 = ''
   AND b-wm-control.controlkey3 = ''
   AND b-wm-control.controlkey4 = ''
   AND b-wm-control.controlkey5 = ''
   AND b-wm-control.controlname = 'QUERY-BUILDER-UPD-FIELDS'
       EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-control
  THEN DO:
    CREATE b-wm-control.
    ASSIGN b-wm-control.controlname = 'QUERY-BUILDER-UPD-FIELDS'.
  END.
  ASSIGN b-wm-control.controlvalue = 'BLOCKED_MESSAGECODE'
         b-wm-control.remarks      = 'akDbjFphNcjclzhp'
         b-wm-control.controlgroup = 'QUERY-BUILDER' .

  FIND b-wm-control WHERE 
       b-wm-control.controlkey1 = ''
   AND b-wm-control.controlkey2 = ''
   AND b-wm-control.controlkey3 = ''
   AND b-wm-control.controlkey4 = ''
   AND b-wm-control.controlkey5 = ''
   AND b-wm-control.controlname = 'QUERY-BUILDER-USERS'
       EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-control
  THEN DO:
    CREATE b-wm-control.
    ASSIGN b-wm-control.controlname = 'QUERY-BUILDER-USERS'.
  END.
  ASSIGN b-wm-control.controlvalue = ''
         b-wm-control.remarks      = 'jacklYbndFkajDcl'
         b-wm-control.controlgroup = 'QUERY-BUILDER'.

  FIND b-wm-systemcode WHERE 
       b-wm-systemcode.systemtype = 'TARIFFBASE'
  AND  b-wm-systemcode.systemcode = 'SURCHARGE'
    EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAILABLE b-wm-systemcode
  THEN DO:
    CREATE b-wm-systemcode.
    ASSIGN b-wm-systemcode.systemtype = 'TARIFFBASE'
           b-wm-systemcode.systemcode = 'SURCHARGE'
           .
  END.
  ASSIGN b-wm-systemcode.ordernr        = 96
         b-wm-systemcode.des            = 'Surcharge % per invoice'
         b-wm-systemcode.internal_code  = 'SURCHARGE'
         b-wm-systemcode.ind_input_time = NO 
         .
  
  FIND b-wm-systemcode WHERE 
       b-wm-systemcode.systemtype = 'TARIFFBASE'
  AND  b-wm-systemcode.systemcode = 'SURCHARGE2'
    EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAILABLE b-wm-systemcode
  THEN DO:
    CREATE b-wm-systemcode.
    ASSIGN b-wm-systemcode.systemtype = 'TARIFFBASE'
           b-wm-systemcode.systemcode = 'SURCHARGE2'
           .
  END.
  ASSIGN b-wm-systemcode.ordernr        = 97
         b-wm-systemcode.des            = 'Surcharge amount per storage/day'
         b-wm-systemcode.internal_code  = 'SURCHARGE2'
         b-wm-systemcode.ind_input_time = NO 
         .
  
  FIND b-wm-systemcode WHERE 
       b-wm-systemcode.systemtype = 'TARIFFBASE'
  AND  b-wm-systemcode.systemcode = 'SURCHARGE3'
    EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAILABLE b-wm-systemcode
  THEN DO:
    CREATE b-wm-systemcode.
    ASSIGN b-wm-systemcode.systemtype = 'TARIFFBASE'
           b-wm-systemcode.systemcode = 'SURCHARGE3'
           .
  END.
  ASSIGN b-wm-systemcode.ordernr        = 98
         b-wm-systemcode.des            = 'Surcharge % per order'
         b-wm-systemcode.internal_code  = 'SURCHARGE3'
         b-wm-systemcode.ind_input_time = NO 
         .

  
  iDone  = iDone + 1.
  iTotal = iDone.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
    
    
